## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -sv -novopt +incdir+../tb -incr -work work "../../project/src/top.v"
vlog -sv -novopt +incdir+../tb -incr -work work "../../project/src/input_gen.v"
vlog -sv -novopt +incdir+../tb -incr -work work "../../project/src/pid_controller_3p3z/pid_controller_3p3z.vo"
vlog -sv -novopt +incdir+../tb -incr -work work "../../tb/*.v"
vlog -novopt -incr -work work "../lib/prim_sim.v"


## part 3: sim design
vsim -L work -novopt work.tb

## part 4: add signals
add wave -group "tb" {sim:/tb/*}
add wave -group "top" {sim:/tb/top_tb/u_valid_o}
add wave -group "top" {sim:/tb/top_tb/u_chn_o}
add wave -group "top" {sim:/tb/top_tb/u_data_o}
add wave -group "top" {sim:/tb/top_tb/tready_o}
add wave -group "top" {sim:/tb/top_tb/data_valid_i }
add wave -group "top" {sim:/tb/top_tb/data_chn_i}
add wave -group "top" {sim:/tb/top_tb/data_fdb_i}
add wave -group "top" {sim:/tb/top_tb/param_valid_i}
add wave -group "top" {sim:/tb/top_tb/param_chn_i}
add wave -group "top" {sim:/tb/top_tb/param_a1_i}
add wave -group "top" {sim:/tb/top_tb/param_a2_i}
add wave -group "top" {sim:/tb/top_tb/param_a3_i}
add wave -group "top" {sim:/tb/top_tb/param_b0_i}
add wave -group "top" {sim:/tb/top_tb/param_b1_i}
add wave -group "top" {sim:/tb/top_tb/param_b2_i}
add wave -group "top" {sim:/tb/top_tb/param_max_i}
add wave -group "top" {sim:/tb/top_tb/param_min_i}


## part 5: show ui 
view wave
view structure
view signals

## part 6: run 
run 10us
