`timescale 1ns/1ps
//**********************************************************************
// 	Project: 
//	File: xxx.v
// 	Description: 
//	Author: XXX
//  Timestamp: 
//----------------------------------------------------------------------
// Code Revision History:
// Ver:		| Author 	| Mod. Date		| Changes Made:
// v1.0.0	| XXX		| xx/xx/20xx	| Initial version
//**********************************************************************


module tb;

//**********************************************************************
// --- Parameter
//**********************************************************************
	localparam CLK_PERIOD = 50.0;			// 4Mhz
	localparam NUM_DATA = 999;   
	
	parameter DATA_WIDTH = 16;
	parameter PARAM_FRACTION_WIDTH = 8;
	
	parameter NUM_CHN = 3;
	localparam CHN_WIDTH = (NUM_CHN>1)? $clog2(NUM_CHN):1;

//**********************************************************************
// --- Test Input signal
//**********************************************************************	
	reg sym_clk, rstn;
	

//**********************************************************************
// --- Test Output signal
//**********************************************************************

	wire					 	u_valid_o;
	wire [CHN_WIDTH-1:0]		u_chn_o;
	wire [DATA_WIDTH-1:0]		u_data_o;
	
//**********************************************************************
// --- Internal Signal Declaration
//**********************************************************************	


//**********************************************************************
// --- Define Variable	
//**********************************************************************	

	
//**********************************************************************	
// --- Initial Block
//**********************************************************************

	GSR GSR(.GSRI(1'b1));

	top top_tb(
		.clk		( sym_clk	),
		.rstn		( rstn		),
		
		.u_valid_o	( u_valid_o	),
		.u_chn_o	( u_chn_o	),
		.u_data_o	( u_data_o	)
	
	);


//**********************************************************************	
// --- Clock Generate
//**********************************************************************
	initial begin
		sym_clk = 1'b1;
		#(1.5*CLK_PERIOD) 
		forever #(CLK_PERIOD/2.0) sym_clk = ~sym_clk;
	end

//**********************************************************************
// --- Reset 
//**********************************************************************
	initial begin
		rstn = 1'b1;
		#(1.5*CLK_PERIOD) rstn = 1'b0;
		#(CLK_PERIOD) rstn = 1'b1;
	end


	
endmodule
